package com.kingdee.eas.custom.certification;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;
import java.lang.String;



public abstract class AbstractAutoGenCertificationControllerBean extends AbstractBizControllerBean implements AutoGenCertificationController
{
    protected AbstractAutoGenCertificationControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("3ACD59E5");
    }

    public void autoGenToResign(Context ctx, String curDate, int offSet, int auditType) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("55c1ea73-31af-4602-af14-bb91d53db0a6"), new Object[]{ctx, curDate, new Integer(offSet), new Integer(auditType)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _autoGenToResign(ctx, curDate, offSet, auditType);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _autoGenToResign(Context ctx, String curDate, int offSet, int auditType) throws BOSException, EASBizException
    {    	
        return;
    }

    public void autoSendMsgByCert(Context ctx, String curDate, int offSet) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("a31cf036-174a-4c8d-bb2a-1cfcc2132611"), new Object[]{ctx, curDate, new Integer(offSet)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _autoSendMsgByCert(ctx, curDate, offSet);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            this.setRollbackOnly();
            throw ex;
        } catch (EASBizException ex0) {
            this.setRollbackOnly();
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _autoSendMsgByCert(Context ctx, String curDate, int offSet) throws BOSException, EASBizException
    {    	
        return;
    }

    public void autoStamp(Context ctx, String curDate, int offSet) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("6ef16a9d-5f8f-46ff-93c8-a6f7f364285e"), new Object[]{ctx, curDate, new Integer(offSet)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _autoStamp(ctx, curDate, offSet);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _autoStamp(Context ctx, String curDate, int offSet) throws BOSException, EASBizException
    {    	
        return;
    }

}